All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.strategies
Class BaseMapStrategy

    com.sas.actionprovider.strategies.BaseMapStrategy

All Implemented Interfaces:
  ActionStatusKeysInterface, ActionStrategyInterface

Direct Known Subclasses:
  MapClearSelectionsStrategy, MapCollapseModeStrategy, MapDrillDownModeStrategy, MapExpandModeStrategy, MapExportToExcelStrategy, MapFilterSelectionsStrategy, MapFullExtentsStrategy, MapIdentifyModeStrategy, MapIdentifyStrategy, MapPanModeStrategy, MapPanStrategy, MapPropertyStrategy, MapRectangularSelectModeStrategy, MapRectangularSelectStrategy, MapReportLinkingModeStrategy, MapReportLinkingStrategy, MapSelectModeStrategy, MapSelectStrategy, MapZoomInModeStrategy, MapZoomInStrategy, MapZoomOutModeStrategy, MapZoomOutStrategy

    public class BaseMapStrategy

Field Summary
`protected java.lang.String` | `activeImage`
`protected java.lang.String` | `disabledImage`
`protected java.lang.String` | `image`
`protected java.lang.String` | `RB_KEY`
`protected java.lang.String` | `rolloverImage`
`static java.lang.String` | `SELECTED_IMAGE`
`protected java.lang.String` | `title`

Fields inherited from class com.sas.actionprovider.strategies.BaseActionStrategy
`TEMPLATE_DELIMITER`

Fields inherited from interface com.sas.actionprovider.ActionStatusKeysInterface
`AREA_DISABLED, DISABLED, ENABLED, IS_CURRENT_STATE_DISABLED, MODEL_MEMBER_DISABLED, MODEL_STATE_DISABLED, MODEL_TYPE_DISABLED, UNSUPPORTED, VIEWER_DISABLED`

Constructor Summary
`BaseMapStrategy()`

Method Summary
`protected void` | `addDynamicValueInfo(java.lang.String valueName, java.lang.String methodName, java.lang.String filterAlias)` Register the information for determining a dynamic value.
`java.lang.String` | `getActiveImage()`
`java.lang.String` | `getDescription(java.util.Locale locale)` Gets the description of this strategy.
`java.lang.String` | `getDisabledImageName()` Gets the name of the image displayed when this action is disabled.
`java.lang.String` | `getImageName()` Gets the name of the image associated with this strategy.
`java.lang.String` | `getName(java.util.Locale locale)` Gets the name of this strategy.
`java.lang.String` | `getRolloverImage()`
`java.lang.String` | `getTitle(java.util.Locale locale)`
`protected void` | `initializeActionAttributes(BaseAction action, java.lang.String areaType, java.util.Locale locale)` Initializes an Action with all its default attributes, default AttributeDescriptor property settings and default values for non-locale-dependent attributes.
`void` | `setActiveImage(java.lang.String activeImage)`
`void` | `setRolloverImage(java.lang.String rolloverImage)`
`void` | `setTitle(java.lang.String title)`

Methods inherited from class com.sas.actionprovider.strategies.BaseActionStrategy
`addDynamicValueInfo, addDynamicValueInfo, getActionStatus, getCustomAttributeValue, getDynamicValue, getUtilObject, initialize, initializeAction, isSwing, setActionAttributes, setLocaleDependentDefaultAttributes, setSwing, setUtilObject`

Field Detail

### SELECTED_IMAGE

    public static java.lang.String SELECTED_IMAGE

### image

    protected java.lang.String image

### disabledImage

    protected java.lang.String disabledImage

### rolloverImage

    protected java.lang.String rolloverImage

### activeImage

    protected java.lang.String activeImage

### title

    protected java.lang.String title

### RB_KEY

    protected java.lang.String RB_KEY

Constructor Detail

### BaseMapStrategy

    public BaseMapStrategy()

Method Detail

### initializeActionAttributes

    protected void initializeActionAttributes(BaseAction action,
                                              java.lang.String areaType,
                                              java.util.Locale locale)

  Description copied from class: `BaseActionStrategy`

  Initializes an Action with all its default attributes, default AttributeDescriptor property settings and default values for non-locale-dependent attributes. values.

  This base implementation does nothing to the Action.

  Overrides:
    `initializeActionAttributes` in class `BaseActionStrategy`
  Parameters:
    `action` - The instance of the Action to be initialized.
    `areaType` - The areaType of the Viewer where the Action will be presented.
    `locale` - The locale

### getName

    public java.lang.String getName(java.util.Locale locale)

  Gets the name of this strategy.

  Parameters:
    `locale` - The locale
  Returns:
    the name of this strategy

### getDescription

    public java.lang.String getDescription(java.util.Locale locale)

  Gets the description of this strategy. The description is the text that is displayed on the dropdown menu for the VisualDataExplorer menu bar.

  Parameters:
    `locale` - The locale
  Returns:
    the description of this strategy

### getImageName

    public java.lang.String getImageName()

  Gets the name of the image associated with this strategy. The image name is the name of the image that is displayed on the dropdown menu for the VisualDataExplorer menu bar.

  Returns:
    the name of the image associated with this strategy

### getDisabledImageName

    public java.lang.String getDisabledImageName()

  Gets the name of the image displayed when this action is disabled. The disabled image name is the name of the image that is displayed on the dropdown menu for the VisualDataExplorer menu bar when this action is disabled.

  Returns:
    the name of the image displayed when this action is disabled

### getActiveImage

    public java.lang.String getActiveImage()

  Returns:
    Returns the activeImage.

### setActiveImage

    public void setActiveImage(java.lang.String activeImage)

  Parameters:
    `activeImage` - The activeImage to set.

### getRolloverImage

    public java.lang.String getRolloverImage()

  Returns:
    Returns the rolloverImage.

### setRolloverImage

    public void setRolloverImage(java.lang.String rolloverImage)

  Parameters:
    `rolloverImage` - The rolloverImage to set.

### getTitle

    public java.lang.String getTitle(java.util.Locale locale)

  Returns:
    Returns the title.

### setTitle

    public void setTitle(java.lang.String title)

  Parameters:
    `title` - The title to set.

### addDynamicValueInfo

    protected void addDynamicValueInfo(java.lang.String valueName,
                                       java.lang.String methodName,
                                       java.lang.String filterAlias)

  Register the information for determining a dynamic value.

  This method is a convenient alternative to the four argument version implemented on `BaseActionStrategy` in that it always passes the `util` object as the `methodObject` argument.

  Parameters:
    `valueName` - The name of the dynamic value.
    `methodName` - The name of the method to call on the methodObject when determining this value dynamically. If null, the dynamic value is considered to be available directly from the ActionSupport filter.
    `filterAlias` - The name of the attribute on the filter. If true, the values of the methodName and methodObject parameters are inconsequential.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.